<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <title>People:Registration</title>
        <script src="https://code.jquery.com/jquery-3.1.1.min.js" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css"></link>
        <script src="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.js"></script>
        <udho:if test="submitted && count(errors) == 0">
            <meta http-equiv="refresh" content="2; url=/user/login" />
        </udho:if>
    </head>
    <body>
        <div class="ui container">
            <div class="ui segment">
                <udho:if test="submitted && count(errors) == 0">
                    Registration successful. Redirecting ...
                </udho:if>
                <udho:if test="not(submitted) || (submitted && not(valid))">
                    <udho:if test="submitted && count(errors) > 0">
                        <div class="ui warning message">
                            <div class="header">Please correct the errors in the form</div>
                            <ul class="list">
                                <udho:for in="errors" value="msg">
                                    <li><udho:text value="msg" /></li>
                                </udho:for>
                            </ul>
                        </div>
                    </udho:if>
                    <form class="ui form" method="post" action="">
                        <div class="field">
                            <label>Name</label>
                            <div class="two fields">
                                <div class="field" udho:add-class:error="submitted && not(fields:first_name.valid)">
                                    <input type="text" name="first_name" udho:target:value="submitted ? fields:first_name.value" placeholder="First Name" />
                                </div>
                                <div class="field" udho:add-class:error="submitted && not(fields:last_name.valid)">
                                    <input type="text" name="last_name" udho:target:value="submitted ? fields:last_name.value" placeholder="Last Name" />
                                </div>
                            </div>
                        </div>
                        <div class="field" udho:add-class:error="submitted && not(fields:phone.valid)">
                            <label>Phone Number</label>
                            <input type="text" name="phone" udho:target:value="submitted ? fields:phone.value" placeholder="Mobile Number" />
                        </div>
                        <div class="field" udho:add-class:error="submitted && not(fields:pass.valid)">
                            <label>Password</label>
                            <input type="password" name="pass" udho:target:value="submitted ? fields:pass.value" placeholder="Password" />
                        </div>
                        <div class="field">
                            <div class="ui checkbox">
                                <input type="checkbox" name="agreement" tabindex="0" />
                                <label>I agree to the Terms and Conditions</label>
                            </div>
                        </div>
                        <button class="ui button" type="submit">Submit</button>
                    </form>
                </udho:if>
            </div>
        </div>
    </body>
</html>
